Skip to main content
GET
List reports
Downloading Reports:Reports can be downloaded using the fileId parameter of the Report entity using the Files API.
Sharing Reports:Sharable links can be generated using the Generate download URL API which are S3 signed URLs valid for 1 hour and do not require authentication.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

nextToken
string
Example:

"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ=="

pageSize
number
Example:

10

fetchFor
enum<string>
default:ORGANIZATION

Fetch for flag used to get the reports from:

  1. ALL: Both the organization and accounts
  2. ORGANIZATION: Only the organization
  3. ACCOUNTS: Only accounts, works with account_id filter only.
Available options:
ALL,
ORGANIZATION,
ACCOUNTS

Response

Response for List Report requests

Represents a list response for reports

data
object[]
nextToken
string